//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 267927b5 (2023-03-04 18:03:20)
// 


function mm_setContent(content){
	$('#mediamanager').replaceWith(content);
	if (typeof templateEveryLoad == 'function') templateEveryLoad('#mediamanager');
	mm_prepareUploader();
}
function mm_getContent(folder, go_to, is_up){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+"index.php",
		data:({
			type:'module',
			option:'ajax',
			module:'service',
			task:'getMediaContent',
			folder:folder,
			go_to:go_to,
			is_up:is_up
		}),
		dataType:'html',
		success: function (html_data, textStatus) {
			mm_setContent(html_data);
			$.fancybox.resize();
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function mm_deleteFolder(folder, oldfolder){
	if (confirm('Do you want to delete')) {
		ajaxShowActivity();
		$.ajax({
			url : siteConfig['siteUrl']+"index.php",
			data:({
				type:'module',
				option:'ajax',
				module:'service',
				task:'deleteMediaFolder',
				folder:folder,
				oldfolder:oldfolder
			}),
			dataType:'html',
			success: function (html_data, textStatus) {
				mm_setContent(html_data);
				$.fancybox.resize();
				ajaxHideActivity();
			},
			error: function () { ajaxHideActivity(); return false; }
		});
	}
}
function mm_createFolder(folder){
	var newfolder=$('#newfolder').val();
	if (newfolder !='') {
		ajaxShowActivity();
		$.ajax({
			url : siteConfig['siteUrl']+"index.php",
			data:({
				type:'module',
				option:'ajax',
				module:'service',
				task:'createMediaFolder',
				folder:folder,
				newfolder:newfolder
			}),
			dataType:'html',
			success: function (html_data, textStatus) {
				mm_setContent(html_data);
				$.fancybox.resize();
				ajaxHideActivity();
			},
			error: function () { ajaxHideActivity(); return false; }
		});
	}
}
function mm_deleteFile(folder, file){
	if (confirm('Do you want to delete')) {
		ajaxShowActivity();
		$.ajax({
			url : siteConfig['siteUrl']+"index.php",
			data:({
				type:'module',
				option:'ajax',
				module:'service',
				task:'deleteMediaFile',
				folder:folder,
				file:file
			}),
			dataType:'html',
			success: function (html_data, textStatus) {
				mm_setContent(html_data);
				$.fancybox.resize();
				ajaxHideActivity();
			},
			error: function () { ajaxHideActivity(); return false; }
		});
	}
}
function mm_setLink(folder, file){
	var ret_elem=$('#mm_return_element').val();
	var nfl=$('#mm_nfl').val();
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+"index.php",
		data:({
			type:'module',
			module:'service',
			task:'getLink',
			folder:folder,
			file:file,
			ret_elem:ret_elem,
			nfl:nfl
		}),
		dataType:'html',
		success: function (html_data, textStatus) {
			if (ret_elem !='') {
				$('#'+ret_elem).val(html_data);
				$('#'+ret_elem).trigger('change');
				$.fancybox.close();
			} else {
				$('#medialink').html(html_data);
			}
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function mm_prepareUploader() {
	var bar = $('#mm_single_upload .bar');
	var percent = $('#mm_single_upload .percent');
	var status = $('#status');
	$('#mm_single_upload').ajaxForm({
		beforeSend: function() {
			status.empty();
			var percentVal = '0%';
			bar.width(percentVal)
			percent.html(percentVal);
			},
		uploadProgress: function(event, position, total, percentComplete) {
			var percentVal = percentComplete + '%';
			bar.width(percentVal)
			percent.html(percentVal);
		},
		success: function() {
			var percentVal = '100%';
			bar.width(percentVal)
			percent.html(percentVal);
		},
		complete: function(xhr) {
			mm_setContent(xhr.responseText);
			//status.html(xhr.responseText);
		}
	}); 
}
function mm_startMediaManager(ret_elem, nfl){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+"index.php",
		data:({
			type: 'module',
			module: 'service',
			task: 'startMediamanager',
			ret_elem: ret_elem,
			nfl:nfl
		}),
		dataType:'html',
		success: function (html_data, textStatus) {
			// @TODO Temporary fix
			if($('body').height() < 1) {
				$.fancybox({
					/*
					'content': html_data ,
					'autoDimensions': false,
					'scrolling': 'yes',
					'centerOnScroll': true,
					'width': 'auto',
					'height': '90%'
					*/
					'width': 'auto',
					'maxHeight': '100%',
					'content': html_data
				});
			} else {
				$.fancybox({'content': html_data});
			}
			if (typeof templateEveryLoad == 'function') templateEveryLoad('#mediamanager');
			mm_prepareUploader();
			$.fancybox.resize();
			$('#fancybox-overlay').css('z-index','20000');
			$('#fancybox-wrap').css('z-index','20001');
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}