<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8a57d639 (2022-12-23 09:39:37)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<form name="frm_install" id="inst_frm" action="install.php" method="post">
	<h3 class="title"><?php echo Text::_("Database server settings"); ?> : </h3>
	<?php if (Request::getInt('fail',0) == 1) echo "<h4 class=\"invalid\">".Text::_("Wrong database connection parameters")."!</h4>"; ?>
	<table class="db_server_settings">
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database host'); ?>:</td>
			<td class="db_input"><input type="text" name="dbHost" value="127.0.0.1" />
			<input type="hidden" name="step" value="3" /></td>
		</tr>
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database port'); ?>:</td>
			<td class="db_input"><input type="text" name="dbPort" value="3306" />
			<input type="hidden" name="step" value="3" /></td>
		</tr>
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database user name'); ?>:</td>
			<td class="db_input"><input type="text" name="dbUser" value="" /></td>
		</tr>
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database password'); ?>:</td>
			<td class="db_input"><input type="password" name="dbPassword" value="" /></td>
		</tr>
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database name'); ?>:</td>
			<td class="db_input"><input type="text" name="dbName" value="" /></td>
		</tr>
		<tr>
			<td class="db_parameter"><?php echo Text::_('Database prefix'); ?>:</td>
			<td class="db_input"><input type="text" name="dbPrefix" value="t_" /></td>
		</tr>
	</table>
	<div class="buttons">
		<input type="submit" value="<?php echo Text::_('Check connection'); ?>" />
	</div>
</form>