<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1c6bb76a (2023-03-22 11:34:59)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<?php if($this->rootArticleName){ ?>
    <h1 id="articleTitleRead"><?php echo $this->rootArticleName; ?></h1>
    <h2 class="title"><?php echo Text::_("Article tree"); ?></h2>
<?php } else { ?>
    <h1 class="title"><?php echo Text::_("Article tree"); ?></h1>
<?php } ?>
<?php if (count($this->brokenParents)>0) { ?>
<div class="articleAchtungRead">
	<div class="articleAchtungTitle"><?php echo Text::_("Articles with broke parent links"); ?></div>
	<ul>
<?php 
	foreach($this->brokenParents as $brokenLink) {
		$href=Router::_("index.php?module=article&amp;view=read&amp;psid=".$brokenLink->a_id);
		echo "<li><a href=\"\">".$brokenLink->a_title."</a></li>";
	}
?>
</ul></div>	
<?php } ?>
<div id="articleTextRead"><?php echo $this->tree; ?></div>
<?php 
Portal::getInstance()->addScript(LINK_EXTRA."/jquery.plugins/jquery.treeview.min.js");
Portal::getInstance()->AddScriptDeclaration('$(document).ready(function(){ $("#article_tree").treeview({  animated: "fast", collapsed: true, unique: true }); });');
?>