<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;

defined('_ARFACMS_VALID') or die("Access denied");

$cat=$this->category;
?>
<h1 class="title"><?php echo $cat->bc_name; ?></h1>
<div><?php echo $cat->bc_comment; ?></div>
<?php foreach ($this->blogs as $blog) { ?>
<div class="blogBlock" id="blogBlock_<?php echo $blog->b_id; ?>">
	<div class="blogTitle"><a class="blogTitle" href="<?php echo Router::_("index.php?module=blog&amp;view=list&amp;psid=".$blog->b_id."&amp;alias=".$blog->b_alias); ?>"><?php echo $blog->b_name; ?></a></div>
	<div class="blogData"><?php 
		if ($blog->b_thumb) {
			$filename=ARFACMS_STORAGE_PATH."blog".DS."blog_thumbs".DS.Files::splitAppendix($blog->b_thumb,true);
			if (Files::isImage($filename))	{
				$filelink=ARFACMS_STORAGE_LINK."/blog_thumbs/list/".Files::splitAppendix($blog->b_thumb);
				echo "<img class=\"bThumb\" title=\"".$blog->b_title_thm."\" alt=\"".$blog->b_alt_thm."\" src=\"".$filelink."\" />";
			}
		}
		echo $blog->b_description; 
	?></div>
</div>
<?php
}
?>