<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 644eddd1 (2022-10-18 23:07:25)
// 

use ArfaCMS\Core\Currency;
use ArfaCMS\Core\Files;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\orderPayment;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if (count($this->pt_list)) {
    echo "<h4 class=\"title\">".Text::_("Payment type")." :</h4>";
    if (count($this->pt_list)){
        foreach ($this->pt_list as $k=>$obj){
            $current_pt = orderPayment::getPaymentClass($obj->pt_id);
            $is_ajax = Request::getSafe('option')=="ajax" ? 1 : 0;
            $current_pt->prepare($is_ajax);
            $obj->pt_price = $current_pt->calculate(0);
            if($obj->pt_price>0){
                $this->pt_list[$k]->pt_title.=" (".number_format(Currency::getInstance()->convert($obj->pt_price, $obj->pt_currency), \catalogConfig::$price_digits, DEFAULT_DECIMAL_SEPARATOR, DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName(DEFAULT_CURRENCY).")";
            }
            if($obj->pt_comments){
                $this->pt_list[$k]->pt_title.="<span class=\"payment_comment\">".$obj->pt_comments."</span>";
            }
            if($obj->pt_logo){
                $filename=ARFACMS_STORAGE_PATH."catalog".DS."pts".DS.Files::splitAppendix($obj->pt_logo,true);
                if (Files::isImage($filename)) {
                    $filelink=ARFACMS_STORAGE_LINK."/catalog/pts/".Files::splitAppendix($obj->pt_logo);
                    $this->pt_list[$k]->pt_title.="<img class=\"pts_logo\" src=\"".$filelink."\" alt=\"\">";
                }
            }
        }
    }
    if (count($this->pt_list)==1){
        echo "<div class=\"single-payment\">";
        echo HTMLControls::renderLabelField("payment_type_111", $this->pt_list[0]->pt_title);
        echo HTMLControls::renderHiddenField('payment_type', $this->pt_list[0]->pt_id);
        echo "</div>";
    } else {
        echo HTMLControls::renderRadioGroup('payment_type', '', 'pt_id', 'pt_title', $this->pt_list, $this->pt_selected, "","", true);
    }

}

?>