<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$cols=count($this->actions)+1;
$rules=array();
if (count($this->rights)) {
	foreach($this->rights as $right){ $rules[$right->f_id][$right->u_id][$right->action]=$right->flag; }
}
?>
<div class="br_map-wrapper">
	<h4 class="title"><?php echo Text::_('Forum rights map by users'); ?></h4>
	<table class="br_map table table-bordered table-hover table-condensed sprav-table">
	<?php foreach ($this->forums as $forum) { 
		if ($forum->f_deleted) $subclass=" deleted"; else $subclass=""	?>
		<tr class="header"><th class="br_title<?php echo $subclass;?>" colspan="<?php echo $cols; ?>"><?php echo Text::_('Forum')." : ".$forum->f_name; ?></td></tr>
		<tr class="subheader">
			<td>&nbsp;</td>
			<?php foreach ($this->actions as $act) {?>
				<td class="br_title"><?php echo Text::_("forum_".$act);?></td>
			<?php } ?>
		</tr>
		<?php foreach ($this->users as $user) {?>
		<tr class="rules">
			<th class="br_title"><?php echo $user->u_login?> (<?php echo $user->u_nickname?>)</td>
			<?php foreach ($this->actions as $act) {?>
				<td class="br_action"><?php 
				if(isset($rules[$forum->f_id][$user->u_id][$act])){
					if ($rules[$forum->f_id][$user->u_id][$act]) {
						$newflag=2;
						$state=1;
					} else {
						$newflag=1;
						$state=0;
					}
				}	else {
					$newflag=1; 
					$state=2; 
				}
				echo "<a onclick=\"updateUserRuleFF(this,'".$forum->f_id."','".$user->u_id."','".$act."','".$newflag."')\"><img width=\"1\" height=\"1\" class=\"enabled_".$state."\" alt=\"\" src=\"/assets/images/blank.gif\" /></a>"; 
				?></td>
			<?php } ?>
		</tr>
		<?php } ?>
		<tr class="br_separator"><td colspan="<?php echo $cols; ?>">&nbsp;</td></tr>
	<?php } ?>
	</table>
</div>