<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 64be7383 (2023-01-28 22:17:29)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$href="index.php?module=gallery";
echo "<h1 class=\"title\"><a class=\"gallery-groups\" href=\"".Router::_($href)."\">".Text::_("Galleries")."</a> - ".$this->group->gr_title."</h1>";

if ($this->group->gr_thumb) $img=ARFACMS_STORAGE_PATH.'gallery'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($this->group->gr_thumb).DS.$this->group->gr_thumb;
else $img="";
if($img && is_file($img)) $img_link=ARFACMS_STORAGE_LINK.'/gallery/groups/thumbs/'.Files::getAppendix($this->group->gr_thumb)."/".$this->group->gr_thumb;
else $img_link="";
if (Module::getInstance()->getParam("galShowParentDescr") && ($this->group->gr_comment || $img_link)) {
	echo "<div class=\"group-comments row\">";
	echo "<div class=\"thumb col-xs-5 col-sm-3\">";
	echo "<img title=\"".$this->group->gr_title_thm."\" alt=\"".$this->group->gr_alt_thm."\" class=\"group-image\" src=\"".$img_link."\" />";
	echo "</div><div class=\"comment col-xs-7 col-sm-9\">".$this->group->gr_comment."</div>";
	echo "</div>";
}

if (count($this->items)) {
    $_galThumbWidth = Module::getInstance()->getParam("galThumbWidth");
    if($_galThumbWidth) $autowidth=" style=\"width:".$_galThumbWidth."px;\""; else $autowidth="";
	foreach($this->items as $item) {
		$href="index.php?module=gallery&amp;view=images&amp;psid=".$item->g_id;
		if ($item->g_alias) $href.="&amp;alias=".$item->g_alias;
		echo "<div class=\"gallerygroup row\">";
		echo "<div class=\"col-md-12\"><h3>";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $item->g_title."</a>";
		echo "</h3></div>";
		
		echo "<div class=\"thumb col-sm-3\">";
		if ($item->g_thumb) $img=ARFACMS_STORAGE_PATH.'gallery'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->g_thumb).DS.$item->g_thumb;
		else $img="";
		if($img && is_file($img)) {
			$img_link=ARFACMS_STORAGE_LINK.'/gallery/items/thumbs/'.Files::getAppendix($item->g_thumb)."/".$item->g_thumb;
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." title=\"".$item->g_title_thm."\" alt=\"".$item->g_alt_thm."\" class=\"group-image\" src=\"".$img_link."\" /></a>";
		} else {
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/assets/images/blank.gif\" /></a>";
		}
		echo "</div><div class=\"comment col-sm-9\">".$item->g_comment."</div>";
		echo "</div>";
	}
}
?>