<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if (count($this->polls)) {
	foreach($this->polls as $poll) { 
		$total=(int)$poll->p_total_voted;	?>
		<div class="poll_list float-fix">
			<h3 class="poll_title"><a href="<?php echo Router::_("index.php?module=polls&view=poll&psid=".$poll->p_id."&alias=".$poll->p_alias); ?>"><?php echo $poll->p_title; ?></a></h3>
			<p class="poll_date">
				<?php echo Text::_("Vote time")."&nbsp;".Date::fromSQL($poll->p_startdate); ?>
				<?php echo "&nbsp;-&nbsp;".Date::fromSQL($poll->p_enddate); ?>
			</p>
			<p class="poll_total">
				<?php echo Text::_("Total voted")."&nbsp;".(int)$poll->p_total_voted; ?>
			</p>
		</div> 
<?php }
}
?>