<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");?>

<?php
$script="
function massResizeOnSubmit(){
	if($('#i_understand_1').prop('checked')) return true;
	else return false;
}
function massOptimizeOnSubmit(){
	if($('#i_understand_2').prop('checked')) return true;
	else return false;
}
";

Portal::getInstance()->addScriptDeclaration($script);
?>
<div class="container"><div class="row"><div class="col-md-12"><div class="service-manager image-processor rounded-pan rounded-pan-medium">
	<h4 class="title"><?php echo Text::_("Image processor"); ?></h4>
	<p align="center" class="red"><?php echo Text::_("Beta version of module is for testing ONLY").".<br />".Text::_("We dont quarantee the correct working of your CMS while using it")."."; ?></p>
	<ul class="nav nav-tabs">
		<li class="active"><a data-toggle="tab" href="#mass_resize"><?php echo Text::_("Mass resize"); ?></a></li>
		<li><a data-toggle="tab" href="#mass_optimize"><?php echo Text::_("Mass optimize"); ?></a></li>
	</ul>
	<div class="tab-content">
		<div id="mass_resize" class="tab-pane fade in active">
			<form id="frmImageProcessor1" name="frmImageProcessor" action="index.php" method="post" onsubmit="return massResizeOnSubmit();">
				<h4 class="title"><?php echo Text::_("Select field for processing"); ?></h4>
				<div class="row">
					<div class="col-md-12"><?php 
					$i=0;
					foreach($this->objects as $k=>$o){
						$i++;
						echo "<div class=\"radio\"><label><input id=\"field_".$i."\" name=\"field_key\" type=\"radio\" value=\"".$k."\" required />".$o["title"]." => ".$o["field_title"]." (".$o["width"]."x".$o["height"].")</label></div>";
					}
					?></div>
				</div>
				<h4 class="title"><?php echo Text::_("Options"); ?></h4>
				<div class="row">
					<div class="col-md-12">
						<div class="checkbox"><input type="checkbox" id="skip_deleted" name="skip_deleted" value="1"><label for="skip_deleted"><?php echo Text::_("Skip deleted");?></label></div>
						<div class="checkbox"><input type="checkbox" id="enabled_only" name="enabled_only" value="1"><label for="enabled_only"><?php echo Text::_("Enabled only");?></label></div>
						<div class="checkbox"><input type="checkbox" id="force_from_source" name="force_from_source" value="1"><label for="force_from_source"><?php echo Text::_("Force resize from source");?></label></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="checkbox"><input type="checkbox" id="i_understand_1" name="i_understand" value="1" /><label class="red" for="i_understand_1"><?php echo Text::_("I understand that this operation may cause damage to files and database");?></label></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="buttons">
							<input type="submit" class="commonButtonbtn btn btn-info" value="<?php echo Text::_("Start"); ?>">
							<input type="hidden" name="module" value="service">
							<input type="hidden" name="view" value="imageprocessor">
							<input type="hidden" name="task" value="processResize">
						</div> 
					</div>
				</div>
			</form>
		</div>
		<div id="mass_optimize" class="tab-pane fade">
			<form id="frmImageProcessor2" name="frmImageProcessor" action="index.php" method="post" onsubmit="return massOptimizeOnSubmit();">
				<div class="row">
					<div class="col-md-12">
						
					</div>
				</div>
				<h4 class="title"><?php echo Text::_("Under construction"); ?></h4>
				<div class="row">
					<div class="col-md-12">
						<div class="checkbox"><input type="checkbox" id="i_understand_2" name="i_understand" value="1" /><label class="red" for="i_understand_2"><?php echo Text::_("I understand that this operation may cause damage to files and database");?></label></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="buttons">
							<input type="submit" class="commonButtonbtn btn btn-info" value="<?php echo Text::_("Start"); ?>">
							<input type="hidden" name="module" value="service">
							<input type="hidden" name="view" value="imageprocessor">
							<input type="hidden" name="task" value="startOptinmize">
						</div> 
					</div>
				</div>
			</form> 
		</div>
	</div>
</div></div></div></div>
<?php 
//Util::showArray($this->objects); 
?>