<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Event;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div id="resetForm">
	<form id="regForm" action="<?php echo Router::_("index.php"); ?>" method="post">
		<input type="hidden" name="module" value="user" />
		<input type="hidden" name="code" value="<?php echo $this->vcode;?>" />
		<input type="hidden" name="task" value="resetPassword" />
<?php if (!User::getInstance()->isLoggedIn()) { ?>
		<?php echo HTMLControls::renderLabelField("rLogin", Text::_('Login name')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="text" name="rLogin" id="rLogin" value="" />
		</div>
<?php } ?>
		<?php echo HTMLControls::renderLabelField("rPassword", Text::_('New password')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="password" name="rPassword" name="rPassword" value="" />
		</div>

		<?php echo HTMLControls::renderLabelField("rPasswordRetype", Text::_('Confirm password')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="password" name="rPasswordRetype" id="rPasswordRetype" value="" />
		</div>
<?php if (!User::getInstance()->isLoggedIn()) { ?>
		<div class="row-for-captcha"><?php echo Event::raise("captcha.renderForm",array("module"=>"user"))?></div>
<?php } ?>
		<div id="mySettingsFooter" class="buttons">
			<input type="submit" class="commonButton btn btn-info" value="<?php echo Text::_('Change password'); ?>" />
		</div>
	</form>
</div>
