<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

$js="$(document).ready(function() {
	$('#email').bind('blur', function() {checkFieldUnique('user',this,".User::getInstance()->getID().");});
});
";
Portal::getInstance()->addScriptDeclaration($js); 
?>
<div id="resetForm">
	<form id="regForm" action="<?php echo Router::_("index.php"); ?>" method="post">
		<input type="hidden" name="module" value="user" />
		<input type="hidden" name="task" value="resetEmail" />
		<?php if ($this->email) $button_text="Change e-mail"; else $button_text="Save e-mail"; ?>
		<?php if (!$this->email) {?><h2><?php echo Text::_('Finishing registration')?>.</h2><?php }?>
		<h4><?php echo Text::_('For usage all possibilities of our site enter e-mail')?>.</h4>
		<?php if ($this->email) { ?><div class="registrationFormLabel old_email"><?php echo Text::_('Old e-mail')?>: <?php echo User::getInstance()->getEmail(); ?></div><?php }?>
		<?php echo  HTMLControls::renderLabelField("email", Text::_('New e-mail')); ?>
		<div class="registrationFormField"><input class="commonEdit required email form-control" required type="text" name="rEmail" id="email" value="" /></div>
		<div id="mySettingsFooter" class="buttons"><input type="submit" class="commonButton btn btn-info" value="<?php echo Text::_($button_text); ?>" /></div>
	</form>
</div>
