<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e98b398f (2023-01-28 22:28:20)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<h1 class=\"title\">".Text::_("Video gallery groups")."</h1>";
if (count($this->groups)) {
	$autowidth=" style=\"width:".Module::getInstance()->getParam("ggr_thumbWidth")."px;\"";
	foreach($this->groups as $group) {
		$href="index.php?module=videoset&amp;view=items&amp;psid=".$group->vgr_id;
		if ($group->vgr_alias) $href.="&amp;alias=".$group->vgr_alias;
		echo "<div class=\"videogallerygroup row\">";
		echo "<div class=\"col-md-12\"><h3>";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $group->vgr_title."</a>";
		echo "</h3></div>";

		echo "<div class=\"thumb col-sm-3\">";
		if ($group->vgr_thumb) $img=ARFACMS_STORAGE_PATH.'videoset'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($group->vgr_thumb).DS.$group->vgr_thumb;
		else $img="";
		if($img && is_file($img)) {
			$img_link=ARFACMS_STORAGE_LINK.'/videoset/groups/thumbs/'.Files::getAppendix($group->vgr_thumb)."/".$group->vgr_thumb;
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." alt=\"".$group->vgr_title."\" class=\"group-image\" src=\"".$img_link."\" /></a>";
		}	else {
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/assets/images/blank.gif\" /></a>";
		}
		echo "</div><div class=\"comment col-sm-9\">".$group->vgr_comment."</div>";
		echo "</div>";
	}
}
?>