<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e98b398f (2023-01-28 22:28:20)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$href="index.php?module=videoset";
echo "<h1 class=\"title\"><a class=\"gallery-groups\" href=\"".Router::_($href)."\">".Text::_("Video galleries")."</a> - ".$this->group->vgr_title."</h1>";
if (Module::getInstance()->getParam("videosetShowParentDescr")) {
	echo "<div class=\"video-group-comments\">";
	echo $this->group->vgr_comment;
	echo "</div>";
}
if (count($this->items)) {
	$autowidth=" style=\"width:".Module::getInstance()->getParam("gal_thumbWidth")."px;\"";
	foreach($this->items as $item) {
		$href="index.php?module=videoset&amp;view=videos&amp;psid=".$item->vg_id;
		if ($item->vg_alias) $href.="&amp;alias=".$item->vg_alias;
		echo "<div class=\"videogallerygroup row\">";
		echo "<div class=\"col-md-12\"><h3>";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $item->vg_title."</a>";
		echo "</h3></div>";

		echo "<div class=\"thumb col-sm-3\">";
		if ($item->vg_thumb) $img=ARFACMS_STORAGE_PATH.'videoset'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->vg_thumb).DS.$item->vg_thumb;
		else $img="";
		if($img && is_file($img)) 	{
			$img_link=ARFACMS_STORAGE_LINK.'/videoset/items/thumbs/'.Files::getAppendix($item->vg_thumb)."/".$item->vg_thumb;
			echo "<a class=\"video-group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." alt=\"".$item->vg_title."\" class=\"video-group-image\" src=\"".$img_link."\" /></a>";
		} else {
			echo "<a class=\"video-group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/assets/images/blank.gif\" /></a>";
		}
		echo "</div><div class=\"comment col-sm-9\">".$item->vg_comment."</div>";
		echo "</div>";
	}
}
?>