<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0fc0f7b0 (2022-08-18 18:57:04)
// 

namespace ArfaCMS\Core;
defined('_ARFACMS_VALID') or die("Access denied");

class FieldSet
{
    private $_defs = array();

    public function get($key, $defaultValue = '', $emty2default = false)
    {
        if (array_key_exists($key, $this->_defs)) {
            if ($emty2default && !$this->_defs[$key]) return $defaultValue;
            else return $this->_defs[$key];
        } else {
            return $defaultValue;
        }
    }

    public function set($key, $value = '')
    {
        if (array_key_exists($key, $this->_defs)) {
            $oldValue = $this->_defs[$key];
        } else $oldValue = null;
        $this->_defs[$key] = $value;
        return $oldValue;
    }

    public function toArray()
    {
        return $this->_defs;
    }
}

?>